Skip to content

Get the auto mode setting for an organisation

GET
/api/v3/organizations/{organisation}/ai/auto-mode
curl --request GET \
--url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/auto-mode \
--header 'Authorization: Bearer <token>'
organisation
required
string

The organisation ID

The auto mode setting and the eligibility report

Media typeapplication/json
object
autoMode
required
One of:
object
enabled
required
boolean
orchestratorModel
required

Empty when the setting was saved off without an orchestrator.

string
group
required
object
revision
required
integer
roles
required
object
fast
required
Array<string>
<= 5 items
standard
required
Array<string>
<= 5 items
deep
required
Array<string>
<= 5 items
watcherIntervalMinutes
required
integer
<= 60
maxParallelTasks
integer
>= 1 <= 16
enforcement
required
string
Allowed values: default required
autonomousDefault
required
boolean
updatedAt
required
string
updatedBy
string
eligible
required
One of:
object
orchestrator
required
One of:
object
modelId
required
string
resolvedId
required
string
eligible
required
boolean
reason
string
Allowed values: unknown no_tools policy residency
roles
required
object
fast
required
Array<object>
object
modelId
required
string
resolvedId
required
string
eligible
required
boolean
reason
string
Allowed values: unknown no_tools policy residency
standard
required
Array<object>
object
modelId
required
string
resolvedId
required
string
eligible
required
boolean
reason
string
Allowed values: unknown no_tools policy residency
deep
required
Array<object>
object
modelId
required
string
resolvedId
required
string
eligible
required
boolean
reason
string
Allowed values: unknown no_tools policy residency
usable
required
boolean
Example
{
"autoMode": {
"enforcement": "default"
},
"eligible": {
"orchestrator": {
"reason": "unknown"
},
"roles": {
"fast": [
{
"reason": "unknown"
}
],
"standard": [
{
"reason": "unknown"
}
],
"deep": [
{
"reason": "unknown"
}
]
}
}
}

The AI service is not available